//Auf Applikation anpassen
//es muss der Usart Receive Vektor an den Prozessor angepasst werden
//die Kanalzahl, wie viele Kanle das Gert belegt muss angepasst werden

//Kanalanzahl des Gertes
#define DMX_CHANNELS 	4

//DMX Status LED
#define DMX_LED_PORT 	PORTB
#define DMX_LED_PIN		0
#define DMX_LED_COUNT	20			//Bestimmt die Zeit die die LED ein/aus ist, muss ausprobiert werden
#define DMX_LED_ENABLE	1

//ATMega 8
#define USART_RECEIVE_VECTOR	USART_RXC_vect


//Muss nicht verndert werden----------------------------------------------------------------------

#define DMX_BAUD 250000

#define UART_BAUD_SELECT(baudRate,xtalCpu) ((xtalCpu)/((baudRate)*16l)-1)


//Variablen
volatile unsigned char dmx_buffer[DMX_CHANNELS];
extern volatile unsigned int dmx_adresse;
extern volatile unsigned char dmx_lost;


//Funktionsprototypen
void dmx_init(void);
